FROM nginxinc/nginx-unprivileged:1-alpine
LABEL maintainer="khanhzodoi@gmail.com"

# Copy NGINX template
COPY ./default.conf.tpl /etc/nginx/default.conf.tpl
COPY ./uwsgi_params /etc/nginx/uwsgi_params

# Environment variables
ENV LISTEN_PORT=8000
ENV APP_HOST=app
ENV APP_PORT=9000


# Create NGINX Configs
USER root

RUN mkdir -p /vol/static
RUN chmod 755 /vol/static
RUN touch /etc/nginx/conf.d/default.conf
RUN chown nginx:nginx /etc/nginx/conf.d/default.conf

# Copy entrypoint.sh
COPY ./entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

# Switch to NGINX user again
USER nginx

# Exec entrypoint.sh
CMD [ "/entrypoint.sh" ]

